import React from 'react'
import Svg, { Path } from 'react-native-svg'

export default function MaduLogo({ width=150, height=150 }) {
    return(
        <Svg width={width} height={height} viewBox="0 0 150 150" fill="none" xmlns="http://www.w3.org/2000/svg">
            <Path fill-rule="evenodd" clip-rule="evenodd" d="M94 27.2086C94 12.1817 106.182 0 121.209 0C136.235 0 148.417 12.1817 148.417 27.2086V61.75H130.278V46H112.138V61.75H94V27.2086ZM112.138 34H130.278V25.0054C130.278 19.9964 126.217 15.9358 121.208 15.9358C116.199 15.9358 112.138 19.9964 112.138 25.0054V34Z" fill="#7A8AFF"/>
            <Path fill-rule="evenodd" clip-rule="evenodd" d="M121.209 129.75C106.182 129.75 94 117.568 94 102.541V68H112.138V104.745C112.138 109.754 116.199 113.814 121.208 113.814C126.217 113.814 130.278 109.754 130.278 104.745V68H148.417V102.541C148.417 117.568 136.235 129.75 121.209 129.75Z" fill="#7A8AFF"/>
            <Path fill-rule="evenodd" clip-rule="evenodd" d="M37 129.844V68.3538C37.0934 68.3503 37.1868 68.3469 37.2802 68.3434C64.6662 67.3311 89 66.4316 89 98.8449C89 130.149 68 130.861 37 129.844ZM54 114.474V83.2709C63.5192 82.7553 71.5 84.1076 72 98.7435C72 112.058 64.7308 114.99 54 114.474Z" fill="#7A8AFF"/>
            <Path fill-rule="evenodd" clip-rule="evenodd" d="M27.2086 0C12.1817 0 0 12.1817 0 27.2086V61.75H18.1389V25.0054C18.1389 19.9964 22.1995 15.9358 27.2085 15.9358C32.2174 15.9358 36.278 19.9964 36.278 25.0054V61.75H54.4172V27.2086C54.4172 12.1817 42.2355 0 27.2086 0Z" fill="#5446F4"/>
            <Path fill-rule="evenodd" clip-rule="evenodd" d="M63.4872 0C48.4603 0 36.2786 12.1817 36.2786 27.2086V61.75H54.4171V25.0054C54.4171 19.9964 58.4777 15.9358 63.4866 15.9358C68.4956 15.9358 72.5562 19.9964 72.5562 25.0054V61.75H90.6958V27.2086C90.6958 12.1817 78.5141 0 63.4872 0Z" fill="#7A8AFF"/>
            <Path opacity="0.9" fill-rule="evenodd" clip-rule="evenodd" d="M45.3477 6.92798C39.7814 11.9101 36.2784 19.15 36.2784 27.2082V61.7496H54.417V27.2082C54.417 19.15 50.914 11.9101 45.3477 6.92798Z" fill="#303F9F"/>
        </Svg>
    )
}